- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxFuncEventHandler< EventType > Class Template Reference

Search for all occurrences

## Detailed Description

### template<typename EventType>
class FbxFuncEventHandler< EventType >

Definition at line 144 of file fbxeventhandler.h.

`#include <fbxeventhandler.h>`

Inheritance diagram for FbxFuncEventHandler< EventType >:
[legend]

List of all members.

## Public Member Functions
| FbxFuncEventHandler (FbxListener *pListener, CBFunction pFunc)
virtual int | GetHandlerEventType ()
| Get event type of current handler.
virtual void | FunctionCall (const FbxEventBase &pEvent)
| call callback function to process event data.
virtual FbxListener * | GetListener ()
| Get listener of current handler.

## Constructor & Destructor Documentation

FbxFuncEventHandler | ( | FbxListener * | pListener,
|  | CBFunction | pFunc
| ) |  | `[inline]`

Definition at line 151 of file fbxeventhandler.h.

                                                                      :
            mListener(pListener),
            mFunc(pFunc)
        {
        }

## Member Function Documentation

virtual int GetHandlerEventType | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Get event type of current handler.

Returns:
  the type ID of event.

Implements FbxEventHandler.

Definition at line 158 of file fbxeventhandler.h.

    { return EventType::GetStaticTypeId(); }

virtual void FunctionCall | ( | const FbxEventBase & | pEvent | ) | `[inline, virtual]`

Search for all occurrences

call callback function to process event data.

Parameters:

  pEvent | specify the event type. pEvent could be a specific class which derived from FbxEventBase.

See also:
  FbxEventBase

Implements FbxEventHandler.

Definition at line 159 of file fbxeventhandler.h.

    { (*mFunc)(reinterpret_cast<const EventType*>(&pEvent),mListener); }

virtual FbxListener* GetListener | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Get listener of current handler.

Returns:
  listener

Implements FbxEventHandler.

Definition at line 160 of file fbxeventhandler.h.

    { return mListener; }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxeventhandler.h